'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var LFS_ATTRIBUTE = exports.LFS_ATTRIBUTE = 'filter=lfs diff=lfs merge=lfs';

var LFS_FILTER_NAME = exports.LFS_FILTER_NAME = 'nodegit_lfs';

var regex = exports.regex = {
  LFS: /(?:git-lfs\/\s*)?(\d+)(?:.(\d+))?(?:.(\d+))?.*/,
  GIT: /(?:git\s+version\s+)(\d+)\.(\d+)\.(\d+)/,
  VERSION: /(\d+\.){2}\d+/,
  TRACK: /([a-zA-Z*.]+(?="))/g,
  SKIPPED_BYTES: /[\d]+\s+B\s+(?=skipped)/g,
  SKIPPED_FILES: /[\d]\s+(?=skipped)/g,
  TOTAL_BYTES: /[\d]+\s+B/g,
  TOTAL_FILES: /[\d]\s+(?=files)/g,
  USERNAME: /username/g,
  PASSWORD: /password/g,
  PASSPHRASE: /passphrase/g,
  PERMISSION_DENIED: /permission\s+denied\s+\(.+\)\./g
};

var promptTypes = exports.promptTypes = {
  USERNAME: 'username',
  PASSWORD: 'password',
  PASSPHRASE: 'passphrase'
};

var BAD_VERSION = exports.BAD_VERSION = '0';
var BAD_CORE_RESPONSE = exports.BAD_CORE_RESPONSE = '-1';
var BAD_REGEX_PARSE_RESULT = exports.BAD_REGEX_PARSE_RESULT = '-2';

var minimumVersions = exports.minimumVersions = {
  GIT: '1.8.5',
  LFS: '2.0.0'
};

// Copied from NodeGit for now... eventually we will find a way to change that
var Error = exports.Error = {
  CODE: {
    OK: 0,
    PASSTHROUGH: -30
  }
};